/*Source Code From Laure Gonnord*/
// code qui utilise curl_wrapper.c
// pour tester le script avec les inclusions de makefile.
//fortement inspiré de test_fetcher


#include <stdio.h>
#include <stdlib.h>
#include <stdbool.h>
#include "curl_wrapper.h"


const int BUFFER_SIZE = 256;

int main(int argc,char** argv){
  
  char * page;
  int page_size;

  if (argc == 2)
    {
      if(!init_curl_wrapper())
	return -1;
      
      printf("executing crawler\n");
      if(!fetch_web_page(argv[1], &page, &page_size))
	return -1;
      
      printf("page size is = %d\n",page_size);
    }
    return 0;
    
}
